{* nahledObraz *}
<div class="modal fade" id="nahledObrazModal" tabindex="-1" aria-labelledby="nahledObrazModal" aria-hidden="true">
    <div class="modal-dialog modal-xl modal-dialog-scrollable">
        {snippet formular}
            <form n:name="nahledObrazForm">
                <div class="modal-content">
                    <div class="modal-header bg-primary text-white">
                        <h5 class="modal-title mb-0"><i class="fa-solid fa-file-image me-2"></i>Náhledový obrázek</h5>
                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <div class="modal-body text-default">
                        <div class="row border-bottom mb-3">
                            <div class="col-12 col-md-6 col-lg-4 mb-3">
                                <label class="form-label">Typ obrázku</label>
                                <select n:name="base_img_type" class="nahled-img-typ form-select" onchange="changeNahledImgTyp()"></select>
                            </div>
                        </div>
                        <div id="nahled-img">
                            {if $typ == 'icon'}
                                {foreach $form['base_img_icon']->items as $key => $label}
                                    <div class="icon-wrapper">
                                        <div class="icon">
                                            {$label|noescape}
                                        </div>
                                        <div class="icon-select">
                                            <input n:name="base_img_icon:$key">
                                        </div>
                                    </div>
                                {/foreach}
                            {elseif $typ == 'img'}
                                {if $form['base_img_id']->items != null}
                                    {foreach $form['base_img_id']->items as $key => $label}
                                        <div class="img-wrapper">
                                            <div class="img">
                                                <img src="{$basePath}/src/fotogallery/clanky/{$clanekId}/thumbs/{$label}" class="img-fluid">
                                            </div>
                                            <div class="img-select">
                                                <input n:name="base_img_id:$key">
                                            </div>
                                        </div>
                                    {/foreach}
                                {else}
                                    <h3>Článek nemá nahrané fotografie.</h3>
                                {/if}
                            {/if}
                        </div>
                    </div>
                    <div class="modal-footer">
                        <a class="btn btn-outline-secondary" data-bs-dismiss="modal">Zavřít</a>
                        <button n:name="send" class="btn btn-success"><i class="fa-solid fa-save me-2"></i> Uložit</button>
                    </div>
                </div>
            </form>
        {/snippet}
    </div>
</div>
<script>
    function changeNahledImgTyp(){

        let typ = $('.nahled-img-typ').val();
        console.log(typ);
        naja.makeRequest('POST', {link 'changeForm'} , { {$control->getParameterId('typ') }: typ })
            .catch((error) => { console.log(error) });

    }
</script>